# show package information
acl() { sh_a__apt_cache_list "${@}"; }
sh_a__apt_cache_list() {
	apt-cache \
		show \
		"${@}"
}

# package versions policy
acp() { sh_a__apt_cache_policy "${@}"; }
sh_a__apt_cache_policy() {
	apt-cache \
		policy \
		"${@}"
}

# search package
acs() { sh_a__apt_cache_search "${@}"; }
sh_a__apt_cache_search() {
	apt-cache \
		search \
		"${@}"
}

#
agap() { sh_a__apt_get_auto_purge "${@}"; }
sh_a__apt_get_auto_purge() {
	apt-get \
		autopurge \
		"${@}"
}

#
agar() { sh_a__apt_get_auto_remove "${@}"; }
sh_a__apt_get_auto_remove() {
	apt-get \
		autoremove \
		"${@}"
}

# clean packages cache
agc() { sh_a__apt_get_clean "${@}"; }
sh_a__apt_get_clean() {
	apt-get \
		clean \
		"${@}"
}

# upgrade allowing package installation or removal
agfu() { sh_a__apt_get_full_upgrade "${@}"; }
sh_a__apt_get_full_upgrade() {
	apt-get \
		full-upgrade \
		"${@}"
}

# install packages
agi() { sh_a__apt_get_install "${@}"; }
sh_a__apt_get_install() {
	apt-get \
		install \
		"${@}"
}

#
agp() { sh_a__apt_get_purge "${@}"; }
sh_a__apt_get_purge() {
	apt-get \
		purge \
		"${@}"
}

#
agr() { sh_a__apt_get_remove "${@}"; }
sh_a__apt_get_remove() {
	apt-get \
		remove \
		"${@}"
}

# update packages catalog
agud() { sh_a__apt_get_up_date "${@}"; }
sh_a__apt_get_up_date() {
	apt-get \
		update \
		"${@}"
}

# upgrade forbidding package installation or removal
agug() { sh_a__apt_get_up_grade "${@}"; }
sh_a__apt_get_up_grade() {
	apt-get \
		upgrade \
		"${@}"
}
