# synchronize
rs() { sh_a__r_sync "${@}"; }
sh_a__r_sync() {
	rsync \
		--archive \
		--no-inc-recursive \
		--partial \
		--progress \
		--verbose \
		"${@}"
}

# synchronize and delete after
rsda() { sh_a__r_sync_delete_after "${@}"; }
sh_a__r_sync_delete_after() {
	sh_a__r_sync \
		--delete-after \
		"${@}"
}

# synchronize and delete before
rsdb() { sh_a__r_sync_delete_before "${@}"; }
sh_a__r_sync_delete_before() {
	sh_a__r_sync \
		--delete-before \
		"${@}"
}
