# list block devices
lb() { sh_a__list_block "${@}"; }
sh_a__list_block() {
	sh_a__list_block_output \
		"SIZE" \
		"TYPE" \
		"FSTYPE" \
		"LABEL" \
		"MOUNTPOINTS" \
		"${@}"
}

# base arguments
lbne() { sh_a__list_block_no_empty "${@}"; }
sh_a__list_block_no_empty() {
	lsblk \
		--noempty \
		"${@}"
}

# output arguments
lbo() { sh_a__list_block_output "${@}"; }
sh_a__list_block_output() {
	local argument
	local arguments="NAME"
	for argument in "${@}"; do
		arguments="${arguments},${argument}"
	done
	sh_a__list_block_no_empty \
		--output "${arguments}"
}
